PPIx::Regexp::Structure::RegexSet(3pm)

NAME
PPIx::Regexp::Structure::RegexSet - Represent a regexp character set

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(?[ \w - [fox] ])}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Structure::RegexSet" is a PPIx::Regexp::Structure.

"PPIx::Regexp::Structure::RegexSet" has no descendants.

RESTRICTION
When running under Perl 5.6, the extended white space characters are not recognized as white space.

DESCRIPTION
This class represents a regex character set.

These were introduced in Perl 5.17.8, and documented as experimental and subject to change. If changes introduced in Perl result in changes in the way "PPIx::Regexp" parses the regular expression, "PPIx::Regexp" will track the change, even if they are incompatible with the previous parse. If this functionality is retracted and the syntax used for something else, "PPIx::Regexp" will forget completely about regex character sets.

At some point, the documentation started calling these "Extended Bracketed Character Classes", and documenting them in perlrecharclass.

METHODS
This class supports no public methods over and above those supported by the superclasses.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-Regexp/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2013-2023, 2025-2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.